QzCronTrigger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.QzCronTrigger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class QzCronTrigger

    java.lang.Object
      org.hyperic.hq.scheduler.QzTrigger
          org.hyperic.hq.scheduler.QzCronTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class QzCronTrigger

extends QzTrigger
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QzCronTrigger()`

Method Summary
`java.lang.String` | `getCronExpression()`
`java.lang.String` | `getTimeZoneId()`
`void` | `setCronExpression(java.lang.String cronExpression)`
`void` | `setTimeZoneId(java.lang.String timeZoneId)`

Methods inherited from class org.hyperic.hq.scheduler.QzTrigger
`getCalendarName, getDescription, getEndTime, getId, getJobData, getJobDetail, getJobGroup, getJobName, getMisFireInstr, getNextFireTime, getPrevFireTime, getPriority, getStartTime, getTriggerListeners, getTriggerState, getTriggerType, isIsVolatile, setCalendarName, setDescription, setEndTime, setId, setIsVolatile, setJobData, setJobDetail, setJobGroup, setJobName, setMisFireInstr, setNextFireTime, setPrevFireTime, setPriority, setStartTime, setTriggerListeners, setTriggerState, setTriggerType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QzCronTrigger

    public QzCronTrigger()

Method Detail

### getCronExpression

    public java.lang.String getCronExpression()

### setCronExpression

    public void setCronExpression(java.lang.String cronExpression)

### getTimeZoneId

    public java.lang.String getTimeZoneId()

### setTimeZoneId

    public void setTimeZoneId(java.lang.String timeZoneId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.